//
//基本画面 メソッド一覧ペイン　レコード情報管理クラス
//		変更履歴
//			2005/03/24	新規作成		梅原 浩司  
//
package jp.co.ntt.lms.xms.login.base;

import java.util.ArrayList;

import jp.co.ntt.lms.xmo.Base.Gui.BaseDisplayData;

/**
 * 
 * 基本画面 メソッド一覧ペインの1レコード分の情報管理クラス
 * @author 梅原 浩司
 */
public class ShowMethodChildrenRecordBean extends ShowLoChildrenRecordBean {

	/** MethodLOIDを保持します */
	private String mstrMethodLOID = "";
	/** ParallelFlagを保持します */
	private boolean mblParallelFlag = false;
	/** period_numを保持します */
	private int mintPeriod = 0;
	/** BeforeLearnFlagを保持します */
	private boolean mblBeforeLearnFlag = false;
	/** AfterLearnFlagを保持します */
	private boolean mblAfterLearnFlag = false;
	/** 開始日付 */
	private String StartDate;
	/** 終了日付 */
	private String EndDate;
	/** パス */
	private String Path;
	
	private ArrayList pathIDList;
	
	private ArrayList pathNameList;
	
	/**
	 * コンストラクタ
	 * @param String 親LOID
	 * @param BaseDisplayData 基本画面表示データ
	 */
	public ShowMethodChildrenRecordBean(String parentId, BaseDisplayData display) {
		super(parentId, display);
	}
	
	/**
	 * @return 開始日付を戻します。
	 */
	public String getStartDate() {
		return StartDate;
	}
	/**
	 * @param startDate 開始日付を設定します。
	 */
	public void setStartDate(String startDate) {
		StartDate = startDate;
	}
	/**
	 * @return 終了日付を戻します。
	 */
	public String getEndDate() {
		return EndDate;
	}
	/**
	 * @param endDate 終了日付を設定します。
	 */
	public void setEndDate(String endDate) {
		EndDate = endDate;
	}
	/**
	 * @return パスを戻します。
	 */
	public String getPath() {
		return Path;
	}
	/**
	 * @param path パスを設定します。
	 */
	public void setPath(String path) {
		Path = path;
	}
	/**
	 * @return mblAfterLearnFlagを戻します。
	 */
	public boolean isAfterLearnFlag() {
		return mblAfterLearnFlag;
	}
	/**
	 * @param mblAfterLearnFlag AfterLearnFlagを設定します。
	 */
	public void setAfterLearnFlag(boolean mblAfterLearnFlag) {
		this.mblAfterLearnFlag = mblAfterLearnFlag;
	}
	/**
	 * @return mblBeforeLearnFlagを戻します。
	 */
	public boolean isBeforeLearnFlag() {
		return mblBeforeLearnFlag;
	}
	/**
	 * @param mblBeforeLearnFlag BeforeLearnFlagを設定します。
	 */
	public void setBeforeLearnFlag(boolean mblBeforeLearnFlag) {
		this.mblBeforeLearnFlag = mblBeforeLearnFlag;
	}
	/**
	 * @return mblParallelFlagを戻します。
	 */
	public boolean isParallelFlag() {
		return mblParallelFlag;
	}
	/**
	 * @param mblParallelFlag ParallelFlagを設定します。
	 */
	public void setParallelFlag(boolean mblParallelFlag) {
		this.mblParallelFlag = mblParallelFlag;
	}
	/**
	 * @return mintPeriodを戻します。
	 */
	public int getPeriod() {
		return mintPeriod;
	}
	/**
	 * @param mintPeriod Periodを設定します。
	 */
	public void setPeriod(int mintPeriod) {
		this.mintPeriod = mintPeriod;
	}
	/**
	 * @return mstrMethodLOIDを戻します。
	 */
	public String getMethodLOID() {
		return mstrMethodLOID;
	}
	/**
	 * @param mstrMethodLOID MethodLOIDを設定します。
	 */
	public void setMethodLOID(String mstrMethodLOID) {
		this.mstrMethodLOID = mstrMethodLOID;
	}
	/**
	 * @return pathIDList を戻します。
	 */
	public ArrayList getPathIDList()
	{
		return pathIDList;
	}
	/**
	 * @param pathIDList pathIDList を設定。
	 */
	public void setPathIDList(ArrayList pathIDList)
	{
		this.pathIDList = pathIDList;
	}
	/**
	 * @return pathNameList を戻します。
	 */
	public ArrayList getPathNameList()
	{
		return pathNameList;
	}
	/**
	 * @param pathNameList pathNameList を設定。
	 */
	public void setPathNameList(ArrayList pathNameList)
	{
		this.pathNameList = pathNameList;
	}
}
